Debian Bug report logs - #598144
rt2500pci: unreliable transfer speed and link quality

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Nathan Schulte <nmschulte@gmail.com>

Date: Sun, 26 Sep 2010 20:36:01 UTC

Severity: important

Found in versions linux-2.6/2.6.32-20, linux/3.2.21-3, linux-2.6/2.6.32-45

Forwarded to http://thread.gmane.org/gmane.linux.kernel.wireless.general/95925

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sun, 26 Sep 2010 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Sánchez Herrero <david.krusty@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Sep 2010 20:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Sánchez Herrero <david.krusty@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rt2500pci: very low transfers and link quality
Date: Sun, 26 Sep 2010 22:33:25 +0200
Package: linux-2.6
Version: 2.6.32-20
Severity: important
File: rt2500pci

Hi all,

I have been using rt2500pci since rt2500 legacy drivers source package
dissapeared from the repository, and I have had this problems from the first
time until now. The legacy drivers worked fine, but with the new ones I have
very low transfers and poor link quality. I thought this problem was solved,
but for me still exists.

Greetings, David.



-- Package-specific info:
** Version:
Linux version 2.6.32-5-686 (Debian 2.6.32-20) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Thu Aug 12 13:38:27 UTC 2010

** Command line:
root=UUID=a584b249-0ba7-4fd3-bdc4-559231f87552 ro 

** Tainted: P (1)
 * Proprietary module has been loaded.

** Kernel log:
[10537.181030] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10537.512052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10539.660055] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10539.969081] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10542.072051] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10542.336048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10542.632048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10543.173052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10543.556108] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10544.928059] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10545.396062] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10546.217049] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10546.480060] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10548.188052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10548.468071] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10549.280053] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10554.316065] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10555.412052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10558.956067] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10559.220132] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10560.432084] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10561.532059] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10564.240074] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10564.420051] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10565.564065] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10568.672064] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10570.688060] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10570.996051] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10572.329044] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10578.072048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10583.201038] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10586.356047] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10586.764053] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10589.324059] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10590.336075] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10594.416052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10594.752072] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10595.044045] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10595.356057] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10596.948039] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10597.448031] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10600.080070] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10600.896048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10601.512050] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10601.921060] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10603.040061] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10603.576045] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10605.588048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10610.053048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10610.688052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10612.056057] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10612.365051] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10612.720056] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10613.169062] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10617.841046] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10618.204052] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10619.121054] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10619.534112] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10625.104058] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10630.000093] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10630.696073] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10631.106868] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10632.092040] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10636.534037] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10637.133049] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10638.172042] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10639.232046] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10641.244043] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10646.356044] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10648.381437] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10653.508054] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10659.644044] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10660.800041] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10664.664041] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10666.768043] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10668.140039] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10670.064048] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10671.800045] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10673.904041] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10675.924045] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10678.092042] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10678.312041] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10678.960046] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10679.236045] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10681.028043] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10683.056044] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10686.096055] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10688.168029] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10690.500045] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10690.636037] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10691.012041] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10698.048040] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10699.304043] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10700.401021] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10705.424049] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10711.528054] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10715.560053] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10717.124059] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10717.668068] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[10724.772043] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).

** Model information
not available

** Loaded modules:
Module                  Size  Used by
aes_i586                6816  2 
aes_generic            25738  1 aes_i586
powernow_k8             9832  1 
cpufreq_userspace       1480  0 
cpufreq_conservative     4018  0 
cpufreq_powersave        602  0 
cpufreq_stats           1940  0 
ppdev                   4058  0 
lp                      5570  0 
parport                22554  2 ppdev,lp
sco                     5857  2 
bridge                 32987  0 
stp                      996  1 bridge
bnep                    7444  2 
rfcomm                 25167  0 
l2cap                  21705  6 bnep,rfcomm
crc16                   1027  1 l2cap
bluetooth              36327  6 sco,bnep,rfcomm,l2cap
vboxnetadp              5118  0 
vboxnetflt             12633  0 
vboxdrv               126574  2 vboxnetadp,vboxnetflt
binfmt_misc             4907  1 
uinput                  4796  1 
fuse                   43758  3 
arc4                     974  2 
ecb                     1405  2 
rt2500pci              11311  0 
rt2x00pci               3773  1 rt2500pci
rt2x00lib              19029  2 rt2500pci,rt2x00pci
mac80211              123266  2 rt2x00pci,rt2x00lib
cfg80211               87625  2 rt2x00lib,mac80211
rfkill                 10264  4 bluetooth,cfg80211
eeprom_93cx6             963  1 rt2500pci
loop                    9757  0 
firewire_sbp2           9647  0 
snd_hda_codec_si3054     2410  1 
snd_hda_codec_realtek   163238  1 
snd_hda_intel          16787  1 
snd_hda_codec          46002  3 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4054  1 snd_hda_codec
snd_pcm_oss            28671  0 
snd_mixer_oss          10461  1 snd_pcm_oss
snd_pcm                47214  4 snd_hda_codec_si3054,snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            3576  0 
snd_rawmidi            12505  1 snd_seq_midi
snd_seq_midi_event      3684  1 snd_seq_midi
snd_seq                35463  2 snd_seq_midi,snd_seq_midi_event
pcmcia                 17442  0 
snd_timer              12258  2 snd_pcm,snd_seq
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
nvidia               9820792  30 
snd                    34363  14 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
joydev                  6771  0 
yenta_socket           16403  1 
rsrc_nonstatic          7057  1 yenta_socket
serio_raw               2916  0 
i2c_nforce2             4464  0 
soundcore               3450  1 snd
video                  14605  0 
battery                 3782  0 
pcmcia_core            20450  3 pcmcia,yenta_socket,rsrc_nonstatic
snd_page_alloc          5045  2 snd_hda_intel,snd_pcm
k8temp                  2415  0 
ac                      1640  0 
i2c_core               12696  2 nvidia,i2c_nforce2
pcspkr                  1207  0 
processor              26615  2 powernow_k8
evdev                   5609  23 
button                  3598  0 
psmouse                44657  0 
output                  1204  1 video
ext3                   94204  1 
jbd                    32169  1 ext3
mbcache                 3762  1 ext3
dm_mirror               9671  0 
dm_region_hash          5644  1 dm_mirror
dm_log                  6369  2 dm_mirror,dm_region_hash
dm_mod                 46082  2 dm_mirror,dm_log
usbhid                 27980  0 
hid                    50645  1 usbhid
sg                     15968  0 
sr_mod                 10770  0 
sd_mod                 25869  4 
crc_t10dif              1012  1 sd_mod
cdrom                  26487  1 sr_mod
ata_generic             2019  0 
ohci_hcd               16880  0 
sdhci_pci               4525  0 
firewire_ohci          16509  0 
sata_nv                15398  3 
pata_amd                6625  0 
thermal                 9206  0 
ehci_hcd               27851  0 
sdhci                  12147  1 sdhci_pci
firewire_core          31187  2 firewire_sbp2,firewire_ohci
libata                115721  3 ata_generic,sata_nv,pata_amd
thermal_sys             9378  3 video,processor,thermal
mmc_core               38503  1 sdhci
crc_itu_t               1035  1 firewire_core
led_class               1757  2 rt2x00lib,sdhci
r8169                  24836  0 
mii                     2714  1 r8169
scsi_mod              101401  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
usbcore                98386  4 usbhid,ohci_hcd,ehci_hcd
nls_base                4541  1 usbcore

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
#allow-hotplug eth0
#iface eth0 inet dhcp

#wifi interface added
#auto wlan0
#iface wlan0 inet dhcp
##pre-up iwconfig wlan0 essid SpeedTouch
#pre-up iwconfig wlan0 essid Krusty-WiFi
#pre-up iwconfig wlan0 mode Managed
#pre-up iwpriv wlan0 set Channel=5
##pre-up iwpriv wlan0 set Channel=2
#pre-up iwpriv wlan0 set AuthMode=WPAPSK
#pre-up iwpriv wlan0 set EncrypType=AES
##pre-up iwpriv wlan0 set EncrypType=TKIP
##pre-up iwpriv wlan0 set WPAPSK=41182316EBA
#pre-up iwpriv wlan0 set WPAPSK=14d7659e1a1743c58e27597513566993b4fee947b5b14876c2c7ce8ee715b72a
#pre-up iwpriv wlan0 set TxRate=0

#auto tap0
#iface tap0 inet manual
#up ifconfig $IFACE 0.0.0.0 up
#down ifconfig $IFACE down
#tunctl_user larcen

#auto br0
#iface br0 inet dhcp
#bridge_ports all tap0

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:16:17:4f:6e:31 brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:13:d3:7c:99:59 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.134/24 brd 192.168.0.255 scope global wlan0
    inet6 fe80::213:d3ff:fe7c:9959/64 scope link 
       valid_lft forever preferred_lft forever
4: vboxnet0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 0a:00:27:00:00:00 brd ff:ff:ff:ff:ff:ff
5: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether 26:6a:13:5b:6d:1c brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo: 1150252   12015    0    0    0     0          0         0  1150252   12015    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0:646514214  465302    0    0    0     0          0         0 29863277  288368    0    0    0     0       0          0
vboxnet0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    477362 total packets received
    0 forwarded
    0 incoming packets discarded
    477271 incoming packets delivered
    300309 requests sent out
    80 outgoing packets dropped
Icmp:
    80 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 80
    84 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 84
IcmpMsg:
        InType3: 80
        OutType3: 84
Tcp:
    1156 active connections openings
    0 passive connection openings
    12 failed connection attempts
    41 connection resets received
    5 connections established
    442282 segments received
    263694 segments send out
    742 segments retransmited
    0 bad segments received.
    214 resets sent
Udp:
    34904 packets received
    84 packets to unknown port received.
    0 packet receive errors
    35789 packets sent
UdpLite:
TcpExt:
    14 packets pruned from receive queue because of socket buffer overrun
    379 TCP sockets finished time wait in fast timer
    2 time wait sockets recycled by time stamp
    2762 delayed acks sent
    3 delayed acks further delayed because of locked socket
    Quick ack mode was activated 497 times
    325313 packets directly queued to recvmsg prequeue.
    1448 bytes directly in process context from backlog
    356196126 bytes directly received in process context from prequeue
    130062 packet headers predicted
    236377 packets header predicted and directly queued to user
    3275 acknowledgments not containing data payload received
    644 predicted acknowledgments
    125 congestion windows recovered without slow start after partial ack
    1 timeouts after reno fast retransmit
    37 timeouts after SACK recovery
    11 timeouts in loss state
    18 retransmits in slow start
    470 other TCP timeouts
    734 packets collapsed in receive queue due to low socket buffer
    481 DSACKs sent for old packets
    34 DSACKs received
    47 connections reset due to unexpected data
    9 connections reset due to early user close
    13 connections aborted due to timeout
    TCPDSACKIgnoredOld: 9
    TCPDSACKIgnoredNoUndo: 11
    TCPSackShiftFallback: 24
IpExt:
    InMcastPkts: 9
    OutMcastPkts: 11
    InBcastPkts: 78
    OutBcastPkts: 77
    InOctets: 641165138
    OutOctets: 21779450
    InMcastOctets: 2573
    OutMcastOctets: 2653
    InBcastOctets: 14152
    OutBcastOctets: 13820

*** Device features:
eth0: 0x180
lo: 0x13865
pan0: 0xff3865
vboxnet0: 0x0
wlan0: 0x2000

** PCI devices:
00:00.0 RAM memory [0500]: nVidia Corporation C51 Host Bridge [10de:02f7] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:00.2 RAM memory [0500]: nVidia Corporation C51 Memory Controller 1 [10de:02fe] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.3 RAM memory [0500]: nVidia Corporation C51 Memory Controller 5 [10de:02f8] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.4 RAM memory [0500]: nVidia Corporation C51 Memory Controller 4 [10de:02f9] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.5 RAM memory [0500]: nVidia Corporation C51 Host Bridge [10de:02ff] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:00.6 RAM memory [0500]: nVidia Corporation C51 Memory Controller 3 [10de:027f] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.7 RAM memory [0500]: nVidia Corporation C51 Memory Controller 2 [10de:027e] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:02.0 PCI bridge [0604]: nVidia Corporation C51 PCI Express Bridge [10de:02fc] (rev a1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: f9800000-f98fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:03.0 PCI bridge [0604]: nVidia Corporation C51 PCI Express Bridge [10de:02fd] (rev a1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=03, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: f9900000-fa0fffff
	Prefetchable memory behind bridge: 00000000bbf00000-00000000bdefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:04.0 PCI bridge [0604]: nVidia Corporation C51 PCI Express Bridge [10de:02fb] (rev a1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fa100000-fe1fffff
	Prefetchable memory behind bridge: 00000000bdf00000-00000000ddefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:09.0 RAM memory [0500]: nVidia Corporation MCP51 Host Bridge [10de:0270] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:0a.0 ISA bridge [0601]: nVidia Corporation MCP51 LPC Bridge [10de:0260] (rev a3)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:0a.1 SMBus [0c05]: nVidia Corporation MCP51 SMBus [10de:0264] (rev a3)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 5
	Region 4: I/O ports at 5000 [size=64]
	Region 5: I/O ports at 6000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus

00:0a.3 Co-processor [0b40]: nVidia Corporation MCP51 PMU [10de:0271] (rev a3)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at febc0000 (32-bit, non-prefetchable) [size=256K]

00:0b.0 USB Controller [0c03]: nVidia Corporation MCP51 USB Controller [10de:026d] (rev a3) (prog-if 10 [OHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at febbe000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

00:0b.1 USB Controller [0c03]: nVidia Corporation MCP51 USB Controller [10de:026e] (rev a3) (prog-if 20 [EHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 23
	Region 0: Memory at febbfc00 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:0d.0 IDE interface [0101]: nVidia Corporation MCP51 IDE [10de:0265] (rev a1) (prog-if 8a [Master SecP PriP])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_amd

00:0e.0 IDE interface [0101]: nVidia Corporation MCP51 Serial ATA Controller [10de:0266] (rev a1) (prog-if 85 [Master SecO PriO])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at e800 [size=8]
	Region 1: I/O ports at e480 [size=4]
	Region 2: I/O ports at e400 [size=8]
	Region 3: I/O ports at e080 [size=4]
	Region 4: I/O ports at e000 [size=16]
	Region 5: Memory at febbd000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv

00:10.0 PCI bridge [0604]: nVidia Corporation MCP51 PCI Bridge [10de:026f] (rev a2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=05, subordinate=09, sec-latency=64
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fe200000-feafffff
	Prefetchable memory behind bridge: ddf00000-dfefffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR+
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:10.1 Audio device [0403]: nVidia Corporation MCP51 High Definition Audio [10de:026c] (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (500ns min, 1250ns max)
	Interrupt: pin B routed to IRQ 20
	Region 0: Memory at febb8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k8temp

01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR+ <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 27
	Region 0: I/O ports at a800 [size=256]
	Region 2: Memory at f98ff000 (64-bit, non-prefetchable) [size=4K]
	Expansion ROM at f98e0000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

04:00.0 VGA compatible controller [0300]: nVidia Corporation G73 [GeForce Go 7600] [10de:0398] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
	Region 5: I/O ports at cc00 [size=128]
	[virtual] Expansion ROM at fe1e0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

05:04.0 CardBus bridge [0607]: O2 Micro, Inc. OZ711MP1/MS1 MemoryCardBus Controller [1217:7134] (rev 21)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at fe200000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=05, secondary=06, subordinate=09, sec-latency=176
	Memory window 0: 80000000-83fff000 (prefetchable)
	Memory window 1: 84000000-87fff000
	I/O window 0: 0000d000-0000d0ff
	I/O window 1: 0000d400-0000d4ff
	BridgeCtl: Parity+ SERR+ ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

05:04.2 SD Host controller [0805]: O2 Micro, Inc. Integrated MMC/SD Controller [1217:7120] (rev 01)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at feafe400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

05:04.3 Bridge [0680]: O2 Micro, Inc. Integrated MS/xD Controller [1217:7130] (rev 01)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at feafd000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

05:04.4 FireWire (IEEE 1394) [0c00]: O2 Micro, Inc. Firewire (IEEE 1394) [1217:00f7] (rev 02) (prog-if 10 [OHCI])
	Subsystem: O2 Micro, Inc. Firewire (IEEE 1394) [1217:00f7]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at feaff000 (32-bit, non-prefetchable) [size=4K]
	Region 1: Memory at feafe800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

05:09.0 Network controller [0280]: RaLink RT2500 802.11g [1814:0201] (rev 01)
	Subsystem: Micro-Star International Co., Ltd. Unknown 802.11g mini-PCI Adapter [1462:6833]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at feafa000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: rt2500pci


** USB devices:
Bus 002 Device 003: ID 08ff:2580 AuthenTec, Inc. AES2501 Fingerprint Sensor
Bus 002 Device 002: ID 046d:c019 Logitech, Inc. Optical Tilt Wheel Mouse
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.3     tools for generating an initramfs
ii  linux-base                    2.6.32-23  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
ii  firmware-linux-free           2.6.32-23  Binary firmware for various driver
ii  libc6-i686                    2.11.2-6   Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.32-5-686 suggests:
ii  grub                          0.97-56    GRand Unified Bootloader (dummy pa
ii  grub-legacy [grub]            0.97-63    GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.26       Binary firmware for various driver
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
ii  firmware-ralink               0.26       Binary firmware for Ralink wireles
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
  linux-image-2.6.32-5-686/prerm/would-invalidate-boot-loader-2.6.32-5-686: true
  linux-image-2.6.32-5-686/postinst/bootloader-test-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/bootloader-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
  linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sun, 26 Sep 2010 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Sanchez Herrero <david.krusty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Sep 2010 20:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 598144@bugs.debian.org (full text, mbox):

From: David Sanchez Herrero <david.krusty@gmail.com>
To: 598144@bugs.debian.org
Subject: Re: Bug#598144: Acknowledgement (rt2500pci: very low transfers and link quality)
Date: Sun, 26 Sep 2010 22:41:59 +0200
[Message part 1 (text/plain, inline)]
Well, obviously it wasn't my intention to publish my WPA-PSK passwords :).
Don't worry, I will change them.

Sorry.

El 26 de septiembre de 2010 22:36, Debian Bug Tracking System <
owner@bugs.debian.org> escribió:

> Thank you for filing a new Bug report with Debian.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  Debian Kernel Team <debian-kernel@lists.debian.org>
>
> If you wish to submit further information on this problem, please
> send it to 598144@bugs.debian.org.
>
> Please do not send mail to owner@bugs.debian.org unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 598144: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598144
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sun, 26 Sep 2010 20:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Sep 2010 20:51:08 GMT) Full text and rfc822 format available.

Message #15 received at 598144@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Sanchez Herrero <david.krusty@gmail.com>, 598144@bugs.debian.org
Subject: Re: Bug#598144: Acknowledgement (rt2500pci: very low transfers and link quality)
Date: Sun, 26 Sep 2010 21:48:46 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-09-26 at 22:41 +0200, David Sanchez Herrero wrote:
> Well, obviously it wasn't my intention to publish my WPA-PSK
> passwords :). Don't worry, I will change them.

We try to scrub encryption keys when including /etc/network/interfaces
in bug reports, but if you use some non-standard format to set them then
this doesn't work.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sun, 26 Sep 2010 20:54:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 26 Sep 2010 20:54:19 GMT) Full text and rfc822 format available.

Message #20 received at 598144@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Sánchez Herrero <david.krusty@gmail.com>, 598144@bugs.debian.org
Subject: Re: Bug#598144: rt2500pci: very low transfers and link quality
Date: Sun, 26 Sep 2010 21:50:42 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-09-26 at 22:33 +0200, David Sánchez Herrero wrote:
> Package: linux-2.6
> Version: 2.6.32-20
> Severity: important
> File: rt2500pci
> 
> Hi all,
> 
> I have been using rt2500pci since rt2500 legacy drivers source package
> dissapeared from the repository, and I have had this problems from the first
> time until now. The legacy drivers worked fine, but with the new ones I have
> very low transfers and poor link quality. I thought this problem was solved,
> but for me still exists.

Please test Linux 2.6.35 as packaged in experimental.  If this isn't any
better, please send a bug report to linux-wireless@vger.kernel.org and
cc the bug address 598144@bugs.debian.org .

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 26 Sep 2010 20:54:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Mon, 27 Sep 2010 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Sanchez Herrero <david.krusty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Sep 2010 17:06:03 GMT) Full text and rfc822 format available.

Message #27 received at 598144@bugs.debian.org (full text, mbox):

From: David Sanchez Herrero <david.krusty@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 598144@bugs.debian.org
Subject: Re: Bug#598144: rt2500pci: very low transfers and link quality
Date: Mon, 27 Sep 2010 19:03:23 +0200
[Message part 1 (text/plain, inline)]
Hi again,

I need to compile the graphics card drivers (Nvidia) and I can't find
headers for 2.6.35 kernel in the repository (deb
http://ftp.debian.org/debian experimental main).

Instead, I install linux-image-2.6.36-rc5-686, that has header packages
available, but I can't install header packages because a dependency error:

*# aptitude -t experimental install linux-headers-2.6.36-rc5-686
Se instalarán los siguiente paquetes NUEVOS:
  linux-headers-2.6.36-rc5-686{b} linux-headers-2.6.36-rc5-common{a}
0 paquetes actualizados, 2 nuevos instalados, 0 para eliminar y 230 sin
actualizar.
Necesito descargar 4691kB de ficheros. Después de desempaquetar se usarán
29,9MB.
No se satisfacen las dependencias de los siguientes paquetes:
  linux-headers-2.6.36-rc5-686: Depende: linux-kbuild-2.6.36 que es un
paquete virtual.
Las acciones siguientes resolverán estas dependencias

     Mantener los paquetes siguientes en la versión actual:
1)     linux-headers-2.6.36-rc5-686 [Sin instalar]



¿Acepta esta solución? [Y/n/q/?]*


what can I do??




El 26 de septiembre de 2010 22:50, Ben Hutchings <ben@decadent.org.uk>escribió:

> On Sun, 2010-09-26 at 22:33 +0200, David Sánchez Herrero wrote:
> > Package: linux-2.6
> > Version: 2.6.32-20
> > Severity: important
> > File: rt2500pci
> >
> > Hi all,
> >
> > I have been using rt2500pci since rt2500 legacy drivers source package
> > dissapeared from the repository, and I have had this problems from the
> first
> > time until now. The legacy drivers worked fine, but with the new ones I
> have
> > very low transfers and poor link quality. I thought this problem was
> solved,
> > but for me still exists.
>
> Please test Linux 2.6.35 as packaged in experimental.  If this isn't any
> better, please send a bug report to linux-wireless@vger.kernel.org and
> cc the bug address 598144@bugs.debian.org .
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Tue, 28 Sep 2010 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Sep 2010 01:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 598144@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Sanchez Herrero <david.krusty@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: Bug#598144: rt2500pci: very low transfers and link quality
Date: Tue, 28 Sep 2010 02:14:29 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-09-27 at 19:03 +0200, David Sanchez Herrero wrote:
> Hi again,
> 
> I need to compile the graphics card drivers (Nvidia) and I can't find
> headers for 2.6.35 kernel in the repository (deb
> http://ftp.debian.org/debian experimental main).
> 
> Instead, I install linux-image-2.6.36-rc5-686, that has header
> packages available,

Right, that was just accepted into experimental.

> but I can't install header packages because a dependency error:
[...]
> what can I do??

You can live without the nvidia driver briefly, can't you?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Tue, 28 Sep 2010 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Sanchez Herrero <david.krusty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Sep 2010 07:54:03 GMT) Full text and rfc822 format available.

Message #37 received at 598144@bugs.debian.org (full text, mbox):

From: David Sanchez Herrero <david.krusty@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 598144@bugs.debian.org
Subject: Re: Bug#598144: rt2500pci: very low transfers and link quality
Date: Tue, 28 Sep 2010 09:50:45 +0200
[Message part 1 (text/plain, inline)]
Hi,

My idea was to test with NetworkManager and try to download some files,
etc., but I think I can do some tests without graphic enviroment. Between
this afternoon and tomorrow night I'm going to try it, and I'll tell you.

Greetings.

2010/9/28 Ben Hutchings <ben@decadent.org.uk>

> On Mon, 2010-09-27 at 19:03 +0200, David Sanchez Herrero wrote:
> > Hi again,
> >
> > I need to compile the graphics card drivers (Nvidia) and I can't find
> > headers for 2.6.35 kernel in the repository (deb
> > http://ftp.debian.org/debian experimental main).
> >
> > Instead, I install linux-image-2.6.36-rc5-686, that has header
> > packages available,
>
> Right, that was just accepted into experimental.
>
> > but I can't install header packages because a dependency error:
> [...]
> > what can I do??
>
> You can live without the nvidia driver briefly, can't you?
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Wed, 29 Sep 2010 16:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Sanchez Herrero <david.krusty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 16:57:10 GMT) Full text and rfc822 format available.

Message #42 received at 598144@bugs.debian.org (full text, mbox):

From: David Sanchez Herrero <david.krusty@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 598144@bugs.debian.org
Subject: Re: Bug#598144: rt2500pci: very low transfers and link quality
Date: Wed, 29 Sep 2010 18:52:49 +0200
[Message part 1 (text/plain, inline)]
Hi again,

After some troubles that I could solve, I connected the interface, but it's
impossible to make anything because in all terminals appears one message
continously:

cfg80211: Calling CRDA to update world regulatory domain.

I can see that I lose the connection, probably because this message. This
happens with 2.6.36-rc5-686 kernel. Any idea about solving this problem?

This problem doesn't exists with 2.6.32-5-686 kernel, but with it, I have
again the error message that appears in my first report:

phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1
(-16).

In this case I don't lose the connection to the AP, but the link quality and
transfers speed are still low.

2010/9/28 David Sanchez Herrero <david.krusty@gmail.com>

> Hi,
>
> My idea was to test with NetworkManager and try to download some files,
> etc., but I think I can do some tests without graphic enviroment. Between
> this afternoon and tomorrow night I'm going to try it, and I'll tell you.
>
> Greetings.
>
> 2010/9/28 Ben Hutchings <ben@decadent.org.uk>
>
> On Mon, 2010-09-27 at 19:03 +0200, David Sanchez Herrero wrote:
>> > Hi again,
>> >
>> > I need to compile the graphics card drivers (Nvidia) and I can't find
>> > headers for 2.6.35 kernel in the repository (deb
>> > http://ftp.debian.org/debian experimental main).
>> >
>> > Instead, I install linux-image-2.6.36-rc5-686, that has header
>> > packages available,
>>
>> Right, that was just accepted into experimental.
>>
>> > but I can't install header packages because a dependency error:
>> [...]
>> > what can I do??
>>
>> You can live without the nvidia driver briefly, can't you?
>>
>> Ben.
>>
>> --
>> Ben Hutchings
>> Once a job is fouled up, anything done to improve it makes it worse.
>>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Fri, 01 Oct 2010 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Oct 2010 02:57:03 GMT) Full text and rfc822 format available.

Message #47 received at 598144@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Sanchez Herrero <david.krusty@gmail.com>, linux-wireless <linux-wireless@vger.kernel.org>
Cc: 598144@bugs.debian.org
Subject: Re: Bug#598144: rt2500pci: very low transfers and link quality
Date: Fri, 01 Oct 2010 03:52:04 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-09-29 at 18:52 +0200, David Sanchez Herrero wrote:
> Hi again,
> 
> After some troubles that I could solve, I connected the interface, but
> it's impossible to make anything because in all terminals appears one
> message continously:
> 
> cfg80211: Calling CRDA to update world regulatory domain.
> 
> I can see that I lose the connection, probably because this message.
> This happens with 2.6.36-rc5-686 kernel. Any idea about solving this
> problem?

No, but the developers on linux-wireless may be able to help.

Ben.

> This problem doesn't exists with 2.6.32-5-686 kernel, but with it, I
> have again the error message that appears in my first report:
> 
> phy0 -> rt2500pci_set_device_state: Error - Device failed to enter
> state 1 (-16).
> 
> In this case I don't lose the connection to the AP, but the link
> quality and transfers speed are still low.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'linux-wireless@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 01 Oct 2010 02:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sat, 03 Dec 2011 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Dec 2011 07:21:03 GMT) Full text and rfc822 format available.

Message #54 received at 598144@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: David Sánchez Herrero <david.krusty@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Sat, 3 Dec 2011 01:19:19 -0600
# forwarded last year:
#  http://thread.gmane.org/gmane.linux.kernel.wireless.general/56714
# no response, so let's try again.
notforwarded 598144
quit

Heya,

Regarding version 2.6.32-20, David Sánchez Herrero wrote:

> I have been using rt2500pci since rt2500 legacy drivers source package
> dissapeared from the repository, and I have had this problems from the first
> time until now. The legacy drivers worked fine, but with the new ones I have
> very low transfers and poor link quality.

That's no good.  So let's see.

[...]
> it's
> impossible to make anything because in all terminals appears one message
> continously:
> 
> cfg80211: Calling CRDA to update world regulatory domain.
> 
> I can see that I lose the connection, probably because this message. This
> happens with 2.6.36-rc5-686 kernel. Any idea about solving this problem?

Very odd.  Does it still happen?

[...]
> This problem doesn't exists with 2.6.32-5-686 kernel, but with it, I
> have again the error message that appears in my first report:
>
> phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).

Which kernel version is that?  You can get the currently running
kernel version by running "cat /proc/version" and looking for the
string in parentheses.

I don't see any relevant fixes upstream (amazingly, since the driver
has had a lot of work done).  If you can get a chance to test a 3.1.y
or later kernel from sid, that would be very helpful.  (Then we can
get help from upstream.)  For graphics, while testing you can use the
vesa driver or nouveau.

Thanks for writing and hope that helps,
Jonathan

[...]
> 01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
> 	Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]




Unset Bug forwarded-to-address Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 03 Dec 2011 07:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Mon, 05 Dec 2011 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Sanchez Herrero <david.krusty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 05 Dec 2011 09:33:03 GMT) Full text and rfc822 format available.

Message #61 received at 598144@bugs.debian.org (full text, mbox):

From: David Sanchez Herrero <david.krusty@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Mon, 5 Dec 2011 10:28:40 +0100
[Message part 1 (text/plain, inline)]
Hi Jonathan,

Thanks for reply about this problem, but the laptop with rt2500 wireless
card died 6 or 7 months ago (a graphic card crash), so I can't try the 3.1
kernel version. I think that after a lot of tests (compiling a new module
version using compat-wireless project, compiling the drivers from Ralink,
updating the kernel version, disabling Network-Manager to manually
configure the card, ...), I finally got the wireless card working fine, but
now I can't remember which was the final solution to the problem.

I'm sure that there was something bad with the rt2500pci module because I
found a lot of information about the problem, associated to different
distros, and I could verify with a Live CD that the problem was in Ubuntu
too.

I'm thinking about analyze the laptop hard disk this Christmas to recover
some files to my new computer, so if I find some information about the
solutión that I applied, I promise to write again to tell you.

Meanwhile, I think that you can mark this bug as solved if you want.

Greetings, David.

El 3 de diciembre de 2011 08:19, Jonathan Nieder <jrnieder@gmail.com>escribió:

> # forwarded last year:
> #  http://thread.gmane.org/gmane.linux.kernel.wireless.general/56714
> # no response, so let's try again.
> notforwarded 598144
> quit
>
> Heya,
>
> Regarding version 2.6.32-20, David Sánchez Herrero wrote:
>
> > I have been using rt2500pci since rt2500 legacy drivers source package
> > dissapeared from the repository, and I have had this problems from the
> first
> > time until now. The legacy drivers worked fine, but with the new ones I
> have
> > very low transfers and poor link quality.
>
> That's no good.  So let's see.
>
> [...]
> > it's
> > impossible to make anything because in all terminals appears one message
> > continously:
> >
> > cfg80211: Calling CRDA to update world regulatory domain.
> >
> > I can see that I lose the connection, probably because this message. This
> > happens with 2.6.36-rc5-686 kernel. Any idea about solving this problem?
>
> Very odd.  Does it still happen?
>
> [...]
> > This problem doesn't exists with 2.6.32-5-686 kernel, but with it, I
> > have again the error message that appears in my first report:
> >
> > phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state
> 1 (-16).
>
> Which kernel version is that?  You can get the currently running
> kernel version by running "cat /proc/version" and looking for the
> string in parentheses.
>
> I don't see any relevant fixes upstream (amazingly, since the driver
> has had a lot of work done).  If you can get a chance to test a 3.1.y
> or later kernel from sid, that would be very helpful.  (Then we can
> get help from upstream.)  For graphics, while testing you can use the
> vesa driver or nouveau.
>
> Thanks for writing and hope that helps,
> Jonathan
>
> [...]
> > 01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
> RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
> >       Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Thu, 08 Dec 2011 21:09:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Sanchez Herrero <david.krusty@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 08 Dec 2011 21:09:34 GMT) Full text and rfc822 format available.

Message #66 received at 598144@bugs.debian.org (full text, mbox):

From: David Sanchez Herrero <david.krusty@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Thu, 8 Dec 2011 22:07:15 +0100
[Message part 1 (text/plain, inline)]
Hi again,

Finally, after analyzing my laptop's hard disk, I have remembered the final
solution, that was using Ndiswrapper with rt2500 Windows drivers. It was
the only way...

Greetings, David.

2011/12/5 David Sanchez Herrero <david.krusty@gmail.com>

> Hi Jonathan,
>
> Thanks for reply about this problem, but the laptop with rt2500 wireless
> card died 6 or 7 months ago (a graphic card crash), so I can't try the 3.1
> kernel version. I think that after a lot of tests (compiling a new module
> version using compat-wireless project, compiling the drivers from Ralink,
> updating the kernel version, disabling Network-Manager to manually
> configure the card, ...), I finally got the wireless card working fine, but
> now I can't remember which was the final solution to the problem.
>
> I'm sure that there was something bad with the rt2500pci module because I
> found a lot of information about the problem, associated to different
> distros, and I could verify with a Live CD that the problem was in Ubuntu
> too.
>
> I'm thinking about analyze the laptop hard disk this Christmas to recover
> some files to my new computer, so if I find some information about the
> solutión that I applied, I promise to write again to tell you.
>
> Meanwhile, I think that you can mark this bug as solved if you want.
>
> Greetings, David.
>
> El 3 de diciembre de 2011 08:19, Jonathan Nieder <jrnieder@gmail.com>escribió:
>
> # forwarded last year:
>> #  http://thread.gmane.org/gmane.linux.kernel.wireless.general/56714
>> # no response, so let's try again.
>> notforwarded 598144
>> quit
>>
>> Heya,
>>
>> Regarding version 2.6.32-20, David Sánchez Herrero wrote:
>>
>> > I have been using rt2500pci since rt2500 legacy drivers source package
>> > dissapeared from the repository, and I have had this problems from the
>> first
>> > time until now. The legacy drivers worked fine, but with the new ones I
>> have
>> > very low transfers and poor link quality.
>>
>> That's no good.  So let's see.
>>
>> [...]
>> > it's
>> > impossible to make anything because in all terminals appears one message
>> > continously:
>> >
>> > cfg80211: Calling CRDA to update world regulatory domain.
>> >
>> > I can see that I lose the connection, probably because this message.
>> This
>> > happens with 2.6.36-rc5-686 kernel. Any idea about solving this problem?
>>
>> Very odd.  Does it still happen?
>>
>> [...]
>> > This problem doesn't exists with 2.6.32-5-686 kernel, but with it, I
>> > have again the error message that appears in my first report:
>> >
>> > phy0 -> rt2500pci_set_device_state: Error - Device failed to enter
>> state 1 (-16).
>>
>> Which kernel version is that?  You can get the currently running
>> kernel version by running "cat /proc/version" and looking for the
>> string in parentheses.
>>
>> I don't see any relevant fixes upstream (amazingly, since the driver
>> has had a lot of work done).  If you can get a chance to test a 3.1.y
>> or later kernel from sid, that would be very helpful.  (Then we can
>> get help from upstream.)  For graphics, while testing you can use the
>> vesa driver or nouveau.
>>
>> Thanks for writing and hope that helps,
>> Jonathan
>>
>> [...]
>> > 01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
>> RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
>> >       Subsystem: Micro-Star International Co., Ltd. Device [1462:3fcc]
>>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sat, 10 Dec 2011 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 10 Dec 2011 06:03:03 GMT) Full text and rfc822 format available.

Message #71 received at 598144@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: David Sanchez Herrero <david.krusty@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Fri, 9 Dec 2011 23:59:45 -0600
tags 598144 = unreproducible
quit

David Sanchez Herrero wrote:

> Thanks for reply about this problem, but the laptop with rt2500 wireless
> card died 6 or 7 months ago (a graphic card crash), so I can't try the 3.1
> kernel version.

Alas.  Hopefully some hero with the same hardware can come and save us
by trying v2.6.39-rc1 or later.  Marking accordingly.

> Finally, after analyzing my laptop's hard disk, I have remembered the final
> solution, that was using Ndiswrapper with rt2500 Windows drivers. It was
> the only way...

That's useful --- it tells us that the hardware was ok.

Regards,
Jonathan




Added tag(s) unreproducible; removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 10 Dec 2011 06:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sun, 25 Dec 2011 12:43:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Dec 2011 12:43:58 GMT) Full text and rfc822 format available.

Message #78 received at 598144@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: David Sanchez Herrero <david.krusty@gmail.com>
Cc: 601976@bugs.debian.org
Subject: Re: firmware-ralink: Wireless network unusable when kernel loads with the wireless function button powered off
Date: Sun, 25 Dec 2011 06:37:52 -0600
David Sanchez Herrero wrote:

> Of course I remember. It was a "Targa", model "Traveller 1576 X2". If you
> need more details about the hardware, I have all the manuals yet.

Ah, this is the machine from <http://bugs.debian.org/598144>.

FWIW, the card's bit is supposed to be cleared by the .start operation:

	rt2x00pci_register_write(rt2x00dev, GPIOCSR, 0x0000ff00);

But perhaps there is some other mechanism outside the card behind the
switch.  If someone with similar hardware is able to try it, the
following articles might help in investigating:

 http://lwn.net/Articles/391230/
 http://lwn.net/Articles/367630/

Using mmiotrace with ndiswrapper and the Windows driver might also
help.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Wed, 20 Jun 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 20 Jun 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #83 received at 598144@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 598144@bugs.debian.org, 598144-subscribe@bugs.debian.org
Subject: Probably reproduced
Date: Tue, 19 Jun 2012 20:07:03 -0400
I probably reproduced this after testing a wheezy daily on an ASUS Z71A 
using an RT2500. I got this error message and several others. It 
happened as soon as I logged in to the minimal console install, with 
tty1 full of such messages. The laptop was 1 meter away from the router.
The image was 
http://cdimage.debian.org/cdimage/daily-builds/daily/20120619-5/i386/iso-cd/debian-testing-i386-netinst.iso 
which uses Linux 3.2. I used the 486 image.

When I search, I see lots of hits related to this error message, but few 
recently (after 2010). For example, 
https://bugzilla.redhat.com/show_bug.cgi?id=626818

Unfortunately, I was just installing to test another bug and I won't be 
using that install - in fact, I already lost it. I may retest at one 
point, and investigate more if this persists when testing's Linux 
becomes current again.




Information stored :
Bug#598144; Package linux-2.6. (Wed, 20 Jun 2012 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Wed, 20 Jun 2012 01:09:04 GMT) Full text and rfc822 format available.

Message #88 received at 598144-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 598144-quiet@bugs.debian.org
Subject: Re: Bug#598144: Probably reproduced
Date: Tue, 19 Jun 2012 20:07:44 -0500
Hi Filipus,

Filipus Klutiero wrote:

> I probably reproduced this after testing a wheezy daily on an ASUS
> Z71A using an RT2500.

Thanks, but what is "this"?  The subject and email body do not say,
and requiring the reader to look the bug up every time doesn't scale.

Thanks and hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Wed, 20 Jun 2012 03:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 20 Jun 2012 03:39:04 GMT) Full text and rfc822 format available.

Message #93 received at 598144@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality (Re: Probably reproduced)
Date: Tue, 19 Jun 2012 22:34:43 -0500
Hi Filipus,

Filipus Klutiero wrote:

> I probably reproduced this after testing a wheezy daily on an ASUS
> Z71A using an RT2500. I got this error message and several others.

Ok, now I finally got a chance to look up the bug.  So do you mean
that transfers were very slow and you got the message

	phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).

?  Thanks much for that, if so.

[...]
> Unfortunately, I was just installing to test another bug and I won't
> be using that install - in fact, I already lost it. I may retest at
> one point, and investigate more if this persists when testing's
> Linux becomes current again.

Filling in between the lines: does this mean you have another network
adapter you are using instead or that you are avoiding the bug some
other way (for example by avoiding that machine altogether)?

Curious,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sun, 01 Jul 2012 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Jul 2012 16:39:04 GMT) Full text and rfc822 format available.

Message #98 received at 598144@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: Bug#598144: Probably reproduced
Date: Sun, 01 Jul 2012 12:35:15 -0400
Hi Jonathan,

On 2012-06-19 21:07, Jonathan Nieder wrote:
> Hi Filipus,
>
> Filipus Klutiero wrote:
>
>> I probably reproduced this after testing a wheezy daily on an ASUS
>> Z71A using an RT2500.
> Thanks, but what is "this"?

"This" is the ticket where the message appears, that is #598144.
>    The subject and email body do not say,
> and requiring the reader to look the bug up every time doesn't scale.

The subject does say "rt2500pci: very low transfers and link quality". 
Of course, if you're not reading the message from the report it belongs 
to, you may want to make whichever system is displaying the message also 
display the message's context.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Sun, 01 Jul 2012 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Jul 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #103 received at 598144@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 598144@bugs.debian.org
Subject: Re: Bug#598144: rt2500pci: very low transfers and link quality (Re: Probably reproduced)
Date: Sun, 01 Jul 2012 12:45:09 -0400
On 2012-06-19 23:34, Jonathan Nieder wrote:
> Hi Filipus,
>
> Filipus Klutiero wrote:
>
>> I probably reproduced this after testing a wheezy daily on an ASUS
>> Z71A using an RT2500. I got this error message and several others.
> Ok, now I finally got a chance to look up the bug.  So do you mean
> that transfers were very slow and you got the message
>
> 	phy0 ->  rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
>
> ?

I can't say if transfers were very slow. Unfortunately, I was only 
installing to test the installer, not the installed system. From the 
looks of it though, functionality must have been affected. In fact, 
after disabling the interface, I didn't succeed to bring it back up. 
dhclient would generate lots of errors.

As for the error messages, I didn't check well. I think the one above 
was the first to show, but I don't think it happened continuously as we 
see in David's kernel log. Other errors were more predominant.
> [...]

>> Unfortunately, I was just installing to test another bug and I won't
>> be using that install - in fact, I already lost it. I may retest at
>> one point, and investigate more if this persists when testing's
>> Linux becomes current again.
> Filling in between the lines: does this mean you have another network
> adapter you are using instead or that you are avoiding the bug some
> other way (for example by avoiding that machine altogether)?

No, this happens on the adapter of the first laptop I bought, which is 
now in the hands of a less demanding family member. The laptop now has 
Windows as its main OS. I simply used that PC to test d-i so I could 
keep using mine during the test.




Information stored :
Bug#598144; Package linux-2.6. (Sun, 01 Jul 2012 22:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 01 Jul 2012 22:27:09 GMT) Full text and rfc822 format available.

Message #108 received at 598144-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 598144-quiet@bugs.debian.org
Subject: Re: Bug#598144: Probably reproduced
Date: Sun, 1 Jul 2012 17:22:56 -0500
Filipus Klutiero wrote:
> On 2012-06-19 21:07, Jonathan Nieder wrote:

>>    The subject and email body do not say,
>> and requiring the reader to look the bug up every time doesn't scale.
>
> The subject does say "rt2500pci: very low transfers and link
> quality".

Maybe some step along the chain from your intent via your mailer to my
inbox corrupted it?  The email I received had subject line
"Bug#598144: Probably reproduced".

If you don't like how email works, I'm not going to try to force you
to make my life easier, though.  I'll just move on to easier things. :)




Information stored :
Bug#598144; Package linux-2.6. (Mon, 02 Jul 2012 15:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 02 Jul 2012 15:42:07 GMT) Full text and rfc822 format available.

Message #113 received at 598144-quiet@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 598144-quiet@bugs.debian.org
Subject: Re: Bug#598144: Probably reproduced
Date: Mon, 02 Jul 2012 11:09:35 -0400
Hi Jonathan,

On 2012-07-01 18:22, Jonathan Nieder wrote:
> Filipus Klutiero wrote:
>> On 2012-06-19 21:07, Jonathan Nieder wrote:
>>>     The subject and email body do not say,
>>> and requiring the reader to look the bug up every time doesn't scale.
>> The subject does say "rt2500pci: very low transfers and link
>> quality".
> Maybe some step along the chain from your intent via your mailer to my
> inbox corrupted it?  The email I received had subject line
> "Bug#598144: Probably reproduced".

I was talking about the report's subject. If you received a problematic 
email, the address to contact would be the one who sent it to you.
[...]





Information forwarded to debian-bugs-dist@lists.debian.org, nmschulte@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Mon, 06 Aug 2012 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Schulte <nmschulte@gmail.com>:
Extra info received and forwarded to list. Copy sent to nmschulte@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Aug 2012 09:03:04 GMT) Full text and rfc822 format available.

Message #118 received at 598144@bugs.debian.org (full text, mbox):

From: Nathan Schulte <nmschulte@gmail.com>
To: Debian Bug Tracking System <598144@bugs.debian.org>
Subject: Re: very low transfers and link quality
Date: Mon, 06 Aug 2012 04:00:54 -0500
Package: linux-2.6
Version: 2.6.32-45
Severity: normal


I am receiving a similar issue as the bug reporter.  As can be seen
below, my kernel log is spammed with the same error.  Using the Debian
Squeeze ISO as a baseline, the machine tops out downloading the ISO at
around 80 kb/s.  Another machine on the same access point via an Atheros
card dowloads from the same mirror at over 1 Mb/s.

As can be seen in the kernel log below, the logged message can be
stopped; I did so by issuing the command:

# iwconfig wlan0 power off

However, I still receive poor throughput.

I can reproduce these issues, and would like to help with the ticket.

--
Nate
-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-45) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Sun May 6 04:00:17 UTC 2012

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=f6b41718-95f9-4189-97e9-e85a5aeb99fc ro quiet

** Tainted: P (1)
 * Proprietary module has been loaded.

** Kernel log:
[  808.608158] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  808.888155] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  809.764160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  810.012487] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  810.800159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  812.552161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  812.852161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  813.736161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  814.436151] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  814.900162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  815.984492] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  816.324491] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  817.868160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  818.688162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  821.244152] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  826.016161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  826.348169] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  827.020161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  827.216153] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  828.816173] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  829.060146] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  829.776158] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  829.980490] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  830.208159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  830.872160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  831.484159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  834.048151] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  834.780162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  835.712152] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  835.920154] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  839.468158] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  839.708147] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  840.808484] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  844.000150] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  844.216159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  849.144160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  850.228159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  850.944159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  851.176143] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  855.128151] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  855.780159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  855.992154] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  856.724159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  856.912155] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  858.756160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  860.264160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  861.172160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  861.416159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  861.896159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  862.472160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  862.812164] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  866.072165] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  866.356162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  867.104162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  868.148160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  868.380150] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  869.172150] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  869.404160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  870.400160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  871.844162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  874.088162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  874.448505] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  875.228149] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  875.884148] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  876.224139] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  876.432152] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  877.436145] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  880.672152] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  881.852139] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  882.104135] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  882.880148] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  883.876148] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  885.656161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  886.476153] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  887.104152] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  888.216152] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  888.668153] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  888.864144] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  895.676160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  895.928159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  898.104160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  898.436160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  900.744161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  900.944160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  902.452162] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  904.448159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  904.632159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  905.112161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  905.420160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  905.928161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  908.324161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  908.812175] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  909.120160] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  909.864161] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  910.060158] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  910.908159] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  911.504174] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[  911.704158] phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).
[ 2065.202273] JBD: barrier-based sync failed on md0-8 - disabling barriers
[ 2946.873251] reportbug[4124] trap divide error ip:7f5e8e7aecf0 sp:7f5e884b6a60 error:0 in libgtk-x11-2.0.so.0.2000.1[7f5e8e682000+415000]

** Model information
sys_vendor: To Be Filled By O.E.M.
product_name: To Be Filled By O.E.M.
product_version: To Be Filled By O.E.M.
chassis_vendor: To Be Filled By O.E.M.
chassis_version: To Be Filled By O.E.M.
bios_vendor: American Megatrends Inc.
bios_version: P1.20
board_vendor: ASRock
board_name: A785GM-LE
board_version:         

** Loaded modules:
Module                  Size  Used by
parport_pc             18855  0 
ppdev                   5030  0 
lp                      7462  0 
parport                27954  3 parport_pc,ppdev,lp
sco                     7225  2 
bridge                 39646  0 
stp                     1440  1 bridge
bnep                    9427  2 
powernow_k8            10978  1 
rfcomm                 29629  0 
l2cap                  24752  6 bnep,rfcomm
cpufreq_stats           2740  0 
cpufreq_userspace       1992  0 
bluetooth              41827  6 sco,bnep,rfcomm,l2cap
cpufreq_conservative     5162  0 
cpufreq_powersave        902  0 
aes_x86_64              7340  3 
aes_generic            25714  1 aes_x86_64
binfmt_misc             6431  1 
fuse                   50924  1 
snd_hda_codec_realtek   235714  1 
arc4                    1274  2 
snd_hda_intel          20035  0 
ecb                     1841  2 
rt2500pci              12959  0 
snd_hda_codec          54292  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               5380  1 snd_hda_codec
rt2x00pci               4605  1 rt2500pci
rt2x00lib              21810  2 rt2500pci,rt2x00pci
led_class               2433  1 rt2x00lib
snd_pcm                60487  2 snd_hda_intel,snd_hda_codec
mac80211              137372  2 rt2x00pci,rt2x00lib
snd_seq                42881  0 
snd_timer              15598  2 snd_pcm,snd_seq
snd_seq_device          4493  1 snd_seq
cfg80211              101496  2 rt2x00lib,mac80211
snd                    46526  8 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_seq,snd_timer,snd_seq_device
rfkill                 13044  3 bluetooth,cfg80211
i2c_piix4               8328  0 
nvidia              11475905  24 
edac_core              29261  0 
soundcore               4598  1 snd
psmouse                49985  0 
eeprom_93cx6            1335  1 rt2500pci
k8temp                  3283  0 
i2c_core               15819  2 i2c_piix4,nvidia
edac_mce_amd            6433  0 
snd_page_alloc          6249  2 snd_hda_intel,snd_pcm
serio_raw               3752  0 
pcspkr                  1699  0 
wmi                     4323  0 
evdev                   7352  4 
processor              29935  1 powernow_k8
button                  4650  0 
ext4                  288382  2 
mbcache                 5050  1 ext4
jbd2                   67111  1 ext4
crc16                   1319  2 l2cap,ext4
raid456                44516  1 
md_mod                 73920  2 raid456
async_raid6_recov       5170  1 raid456
async_pq                3479  2 raid456,async_raid6_recov
raid6_pq               77179  2 async_raid6_recov,async_pq
async_xor               2478  3 raid456,async_raid6_recov,async_pq
xor                     4380  1 async_xor
async_memcpy            1198  2 raid456,async_raid6_recov
async_tx                1734  5 raid456,async_raid6_recov,async_pq,async_xor,async_memcpy
usbhid                 33292  0 
hid                    63257  1 usbhid
sd_mod                 29937  11 
crc_t10dif              1276  1 sd_mod
thermal                11674  0 
ata_generic             3239  0 
r8169                  36840  0 
ohci_hcd               19343  0 
mii                     3210  1 r8169
ahci                   32870  6 
thermal_sys            11942  2 processor,thermal
ehci_hcd               32097  0 
pata_atiixp             3489  0 
libata                133776  3 ata_generic,ahci,pata_atiixp
usbcore               123122  4 usbhid,ohci_hcd,ehci_hcd
nls_base                6377  1 usbcore
scsi_mod              126725  2 sd_mod,libata

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
#NetworkManager#iface eth0 inet dhcp

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth1: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:25:22:e0:97:54 brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:14:85:b6:60:6e brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.20/24 brd 192.168.1.255 scope global wlan0
    inet6 fe80::214:85ff:feb6:606e/64 scope link 
       valid_lft forever preferred_lft forever
4: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether e2:99:6b:18:b0:e6 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:  424006    3104    0    0    0     0          0         0   424006    3104    0    0    0     0       0          0
  eth1:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0:55269139   64403    0    0    0     0          0         0  7525012   57294    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    67386 total packets received
    31 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    66479 incoming packets delivered
    60297 requests sent out
    64 dropped because of missing route
Icmp:
    481 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        echo requests: 481
    481 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        echo replies: 481
IcmpMsg:
        InType8: 481
        OutType0: 481
Tcp:
    1473 active connections openings
    43 passive connection openings
    0 failed connection attempts
    1 connection resets received
    7 connections established
    62536 segments received
    56252 segments send out
    172 segments retransmited
    0 bad segments received.
    4429 resets sent
Udp:
    3559 packets received
    0 packets to unknown port received.
    0 packet receive errors
    3427 packets sent
UdpLite:
TcpExt:
    3 packets pruned from receive queue because of socket buffer overrun
    27 TCP sockets finished time wait in fast timer
    6 packets rejects in established connections because of timestamp
    2644 delayed acks sent
    2 delayed acks further delayed because of locked socket
    Quick ack mode was activated 83 times
    19 packets directly queued to recvmsg prequeue.
    2 bytes directly received in process context from prequeue
    29102 packet headers predicted
    2256 acknowledgments not containing data payload received
    7266 predicted acknowledgments
    6 times recovered from packet loss by selective acknowledgements
    95 congestion windows recovered without slow start after partial ack
    3 TCP data loss events
    3 timeouts after SACK recovery
    6 fast retransmits
    154 other TCP timeouts
    835 packets collapsed in receive queue due to low socket buffer
    83 DSACKs sent for old packets
    1 DSACKs sent for out of order packets
    126 DSACKs received
    428 connections reset due to unexpected data
    999 connections reset due to early user close
    4 connections aborted due to timeout
    TCPDSACKIgnoredOld: 45
    TCPDSACKIgnoredNoUndo: 37
    TCPSackShiftFallback: 36
IpExt:
    InMcastPkts: 70
    OutMcastPkts: 23
    InBcastPkts: 104
    OutBcastPkts: 100
    InOctets: 54792994
    OutOctets: 6105935
    InMcastOctets: 14855
    OutMcastOctets: 5268
    InBcastOctets: 15708
    OutBcastOctets: 14390


** PCI devices:
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS880 Host Bridge [1022:9601]
	Subsystem: ASRock Incorporation Device [1849:9601]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:02.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (ext gfx port 0) [1022:9603] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fa000000-feafffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:05.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 1) [1022:9605] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Prefetchable memory behind bridge: 00000000f8f00000-00000000f8ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode] [1002:4391] (prog-if 01 [AHCI 1.0])
	Subsystem: ASRock Incorporation Device [1849:4391]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at c000 [size=8]
	Region 1: I/O ports at b000 [size=4]
	Region 2: I/O ports at a000 [size=8]
	Region 3: I/O ports at 9000 [size=4]
	Region 4: I/O ports at 8000 [size=16]
	Region 5: Memory at f9fffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4397]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f9ffe000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4398]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f9ffd000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASRock Incorporation Device [1849:4396]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f9fff800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4397]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f9ffc000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4398]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f9ff7000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASRock Incorporation Device [1849:4396]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at f9fff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3c)
	Subsystem: ASRock Incorporation Device [1849:4385]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort+ <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE Controller [1002:439c] (prog-if 8a [Master SecP PriP])
	Subsystem: ASRock Incorporation Device [1849:439c]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ff00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_atiixp

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
	Subsystem: ASRock Incorporation Device [1849:3662]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin ? routed to IRQ 16
	Region 0: Memory at f9ff0000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
	Subsystem: ASRock Incorporation Device [1849:439d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=64
	Memory behind bridge: feb00000-febfffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller [1002:4399] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4399]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f9ff6000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k8temp

01:00.0 VGA compatible controller [0300]: nVidia Corporation G98 [GeForce 8400 GS] [10de:06e4] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:82bc]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at fa000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at d800 [size=128]
	[virtual] Expansion ROM at feac0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Subsystem: ASRock Incorporation Motherboard (one of many) [1849:8168]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 26
	Region 0: I/O ports at e800 [size=256]
	Region 2: Memory at f8fff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at f8ff8000 (64-bit, prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

03:05.0 Network controller [0280]: RaLink RT2500 802.11g [1814:0201] (rev 01)
	Subsystem: Giga-byte Technology Device [1458:e932]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at febfe000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: rt2500pci


** USB devices:
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 413c:2003 Dell Computer Corp. Keyboard
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    2.6.32-45  Linux image base package
ii  module-init-tools             3.12-2     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-45  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-test-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/prerm/would-invalidate-boot-loader-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Mon, 06 Aug 2012 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Aug 2012 09:33:03 GMT) Full text and rfc822 format available.

Message #123 received at 598144@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Nathan Schulte <nmschulte@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Mon, 6 Aug 2012 02:30:51 -0700
submitter 598144 Nathan Schulte <nmschulte@gmail.com>
tags 598144 - unreproducible
quit

Hi Nathan,

Nathan Schulte wrote:

> I am receiving a similar issue as the bug reporter.  As can be seen
> below, my kernel log is spammed with the same error.  Using the Debian
> Squeeze ISO as a baseline, the machine tops out downloading the ISO at
> around 80 kb/s.  Another machine on the same access point via an Atheros
> card dowloads from the same mirror at over 1 Mb/s.
>
> As can be seen in the kernel log below, the logged message can be
> stopped; I did so by issuing the command:
>
> # iwconfig wlan0 power off
>
> However, I still receive poor throughput.
>
> I can reproduce these issues, and would like to help with the ticket.

Thanks!  I'm setting you as the new contact for this bug.

Can you try a 3.x.y kernel from squeeze-backports, sid, or
experimental?  The only packages from outside squeeze that should be
needed for this test aside from the kernel itself are linux-base and
initramfs-tools.

If it works well, we can try to track down what change fixed it and
apply the same fix to squeeze.  If it doesn't work well, we can try to
reproduce it without the nvidia driver and then get help from
upstream.  So either result is a win.

Hope that helps,
Jonathan



Changed Bug submitter to 'Nathan Schulte <nmschulte@gmail.com>' from 'David Sánchez Herrero <david.krusty@gmail.com>' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2012 09:33:05 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2012 09:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Mon, 06 Aug 2012 10:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Schulte <nmschulte@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Aug 2012 10:06:06 GMT) Full text and rfc822 format available.

Message #132 received at 598144@bugs.debian.org (full text, mbox):

From: Nathan Schulte <nmschulte@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Mon, 06 Aug 2012 05:04:52 -0500
[Message part 1 (text/plain, inline)]
Jonathan Nieder wrote:
> Thanks!  I'm setting you as the new contact for this bug.

Okay, sounds good.  I hope I can help solve this.

> Can you try a 3.x.y kernel from squeeze-backports, sid, or
> experimental?  The only packages from outside squeeze that should be
> needed for this test aside from the kernel itself are linux-base and
> initramfs-tools.
>
> If it works well, we can try to track down what change fixed it and
> apply the same fix to squeeze.  If it doesn't work well, we can try to
> reproduce it without the nvidia driver and then get help from
> upstream.  So either result is a win.

I was already on it, :).  I ran into a hiccup, but I've worked through it.

$ uname -a
Linux desmas-s 3.2.0-0.bpo.2-amd64 #1 SMP Fri Jun 29 20:42:29 UTC 2012 
x86_64 GNU/Linux

Downloading the same ISO from the mirror gives 40 kb/s average, peaked 
at 100kb/s once.  The same ISO on the machine with the Atheros chip 
gives over 1Mb/s still.

It looks like the problem is still prevalent.  Where to now?  Output 
from dmesg is attached.

-- 
Nate
[dmesg.out (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Mon, 06 Aug 2012 10:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Schulte <nmschulte@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Aug 2012 10:51:08 GMT) Full text and rfc822 format available.

Message #137 received at 598144@bugs.debian.org (full text, mbox):

From: Nathan Schulte <nmschulte@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Mon, 06 Aug 2012 05:48:30 -0500
Nathan Schulte wrote:
> I am receiving a similar issue as the bug reporter.  As can be seen
> below, my kernel log is spammed with the same error.  Using the Debian
> Squeeze ISO as a baseline, the machine tops out downloading the ISO at
> around 80 kb/s.  Another machine on the same access point via an Atheros
> card dowloads from the same mirror at over 1 Mb/s.

> Downloading the same ISO from the mirror gives 40 kb/s average, peaked
> at 100kb/s once. The same ISO on the machine with the Atheros chip gives
> over 1Mb/s still.

Oops!  I meant bytes, not bits.  Sub 100 kilobytes per second on the 
Ralink, and over 1 megabyte per second on the Atheros, for both kernels.

-- 
Nate



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package linux-2.6. (Mon, 06 Aug 2012 21:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Aug 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #142 received at 598144@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Nathan Schulte <nmschulte@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Mon, 6 Aug 2012 14:52:36 -0700
reassign 598144 src:linux 3.2.21-3
found 598144 linux-2.6/2.6.32-20
found 598144 linux-2.6/2.6.32-45
quit

Nathan Schulte wrote:

> $ uname -a
> Linux desmas-s 3.2.0-0.bpo.2-amd64 #1 SMP Fri Jun 29 20:42:29 UTC
> 2012 x86_64 GNU/Linux
[...]
> It looks like the problem is still prevalent.

Thanks for the quick reply.  Marking so.

I don't see any obvious relevant fixes upstream, but it would
probably be useful to try 3.5 from experimental, too, anyway --- sorry
for the fuss.  Afterwards, please report this upstream (regardless of
the result) to linux-wireless@vger.kernel.org, cc-ing
users@rt2x00.serialmonkey.com, Gertjan van Wingerde
<gwingerde@gmail.com>, and either me or this bug log so we can track
it.

Then hopefully someone upstream can provide commands or a patch to try
to track down the cause and work toward a fix.

Thanks again for your work,
Jonathan



Bug reassigned from package 'linux-2.6' to 'src:linux'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2012 21:57:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions 2.6.32-45 and 2.6.32-20. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2012 21:57:06 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.21-3. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2012 21:57:07 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/2.6.32-20. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2012 21:57:07 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/2.6.32-45. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 06 Aug 2012 21:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package src:linux. (Wed, 08 Aug 2012 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Schulte <nmschulte@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Aug 2012 06:33:03 GMT) Full text and rfc822 format available.

Message #157 received at 598144@bugs.debian.org (full text, mbox):

From: Nathan Schulte <nmschulte@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Wed, 08 Aug 2012 01:29:10 -0500
[Message part 1 (text/plain, inline)]
Jonathan Nieder wrote:
> I don't see any obvious relevant fixes upstream, but it would
> probably be useful to try 3.5 from experimental, too, anyway --- sorry
> for the fuss.

I've tried with Linux 3.5 as packaged in experimental 
(linux-image-3.5-trunk-amd64).  I'm running into a different issue 
there; it looks like the kernel is panicing whenever I bring up the 
wlan0 interface.  I've attached the relevant portion of kern.log 
capturing one of the panics.  It is from NetworkManager, after doing an 
'# ifconfig wlan0 up' in single user mode.  I changed my configuration 
to not use NetworkManager and still had the same panic, but from 
wpa_supplicant instead.

I'm going to make a new email for upstream as you suggested, CC-ing the 
bug report email as well.
-- 
Nate
[kern.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package src:linux. (Wed, 08 Aug 2012 06:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Schulte <nmschulte@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Aug 2012 06:57:06 GMT) Full text and rfc822 format available.

Message #162 received at 598144@bugs.debian.org (full text, mbox):

From: Nathan Schulte <nmschulte@gmail.com>
To: linux-wireless@vger.kernel.org
Cc: users@rt2x00.serialmonkey.com, Gertjan van Wingerde <gwingerde@gmail.com>, 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Wed, 08 Aug 2012 01:49:47 -0500
Hi folks.

I've been requested to report a bug that I've discovered regarding 
troubles with the rt2500pci kernel module.  As the subject suggests, 
with my card I'm receiving very poor transfer rate and link quality. 
The Debian bug report for this issue can be found here:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598144

Initially, I noticed the following line repeated in the logs:

> phy0 -> rt2500pci_set_device_state: Error - Device failed to enter state 1 (-16).

which led me to the (closed) Ubuntu bug report:

https://bugs.launchpad.net/bugs/456977

The initial error message appears to be a red herring of sorts, as it 
can be quieted by turning off power control for the interface:

# iwconfig wlan0 power off

Even with the message silenced, I am still receiving poor link 
throughput and quality.  The initial bug reporter noticed the issues 
with kernel 2.6.32, and I've experienced it with 2.6.32 and 3.2.21 (as 
packaged by Debian).  I tried with 3.5 from Debian experimental, but I 
receive a kernel panic (after which the kernel becomes unresponsive) 
whenever I bring up the interface.  This is all noted in the bug report 
log where copies of the kernel logs can be found.

The request for upstream notification can be seen below.  Please let me 
know how I can help!

--

Jonathan Nieder wrote:
> Afterwards, please report this upstream (regardless of
> the result) to linux-wireless@vger.kernel.org, cc-ing
> users@rt2x00.serialmonkey.com, Gertjan van Wingerde
> <gwingerde@gmail.com>, and either me or this bug log so we can track
> it.
>
> Then hopefully someone upstream can provide commands or a patch to try
> to track down the cause and work toward a fix.

Thanks!
-- 
Nate



Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.kernel.wireless.general/95925'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 08 Aug 2012 07:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598144; Package src:linux. (Wed, 08 Aug 2012 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Schulte <nmschulte@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Aug 2012 11:21:03 GMT) Full text and rfc822 format available.

Message #169 received at 598144@bugs.debian.org (full text, mbox):

From: Nathan Schulte <nmschulte@gmail.com>
To: 598144@bugs.debian.org
Subject: Re: rt2500pci: very low transfers and link quality
Date: Wed, 08 Aug 2012 06:17:23 -0500
I found the following bug report and associated mailing list thread of 
interest.

https://bugzilla.kernel.org/show_bug.cgi?id=13362

http://thread.gmane.org/gmane.linux.kernel/840990

After reading the above, I decided to play around a bit more.  I booted 
the 2.6.32 kernel and immediately tried to download the ISO.  I received 
excellent throughput, nearly 2 MB/s, as with my other machine.  I was 
actually having a difficult time causing the link to flake out, though I 
could tell it was happening very sporadically.  I played around with 
setting the transfer rate manually (iwconfig wlan0 rate 54M), and this 
appeared to reduce/remove the flakiness.  I then downed and upped the 
interface, after setting the rate to auto (iwconfig wlan0 rate auto), 
and the flakiness was back.

I was a bit shocked at this point and didn't continue playing with the 
3.2 and 3.5 kernels.  I suppose this isn't as easily reproducible as I 
thought...?  I'm getting speeds ranging from 1 MB/s to 2 MB/s right now. 
 Oh, it just dropped to 200 kB/s...  And now it's steadily raising. 
Sorry for the dialog...

-- 
Nate



Changed Bug title to 'rt2500: unreliable transfer speed and link quality' from 'rt2500pci: very low transfers and link quality' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 23:51:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'rt2500pci: unreliable transfer speed and link quality' from 'rt2500: unreliable transfer speed and link quality' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 23:57:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:33:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.